import type { ValidatorFn } from '@angular/forms';
export declare class CFPFormValidators {
    static compareTo(controlNameToCheckAgainst: string): ValidatorFn;
    static asPassword(): ValidatorFn;
    static asEmail(canBeEmpty?: true): ValidatorFn;
    static isIn(list: (string | number)[]): ValidatorFn;
    static isSAIDNumber(canBeEmpty?: true): ValidatorFn;
    static isValidDate(minDate: string | null, maxDate?: string | null): ValidatorFn;
    static isValidCellNumber(dialCodes?: string[]): ValidatorFn;
}
